*** a/src/bin/psql/describe.c
--- b/src/bin/psql/describe.c
***************
*** 533,538 **** describeTypes(const char *pattern, bool verbose, bool showSystem)
--- 533,544 ----
  		printACLColumn(&buf, "t.typacl");
  		appendPQExpBufferStr(&buf, ",\n  ");
  	}
+ 	if (verbose)
+ 	{
+ 		appendPQExpBuffer(&buf,
+ 						  "  pg_catalog.pg_get_userbyid(t.typowner) AS \"%s\",\n",
+ 						  gettext_noop("Owner"));
+ 	}
  
  	appendPQExpBuffer(&buf,
  				"  pg_catalog.obj_description(t.oid, 'pg_type') as \"%s\"\n",
